## GnomeWallClock GnomeWallClock |

## Functions

GnomeWallClock * | gnome_wall_clock_new ()
const char * | gnome_wall_clock_get_clock ()
GTimeZone * | gnome_wall_clock_get_timezone ()

## Properties

gchar * | clock | Read
gboolean | time-only | Read / Write
GTimeZone * | timezone | Read

## Types and Values

struct | GnomeWallClock
struct | GnomeWallClockClass

## Object Hierarchy

        GObject
        ╰── GnomeWallClock

## Description

## Functions

### gnome_wall_clock_new ()

    GnomeWallClock *
    gnome_wall_clock_new (void);

Creates a new GnomeWallClock

#### Returns

the new clock

### gnome_wall_clock_get_clock ()

    const char *
    gnome_wall_clock_get_clock (GnomeWallClock *clock);

Returns the string representing the current time of this clock according to the user settings.

#### Parameters

clock | a GnomeWallClock |

#### Returns

the time of the clock as a string. This string points to internally allocated storage and must not be freed, modified or stored.

### gnome_wall_clock_get_timezone ()

    GTimeZone *
    gnome_wall_clock_get_timezone (GnomeWallClock *clock);

Returns the current local time zone used by this clock.

#### Parameters

clock | a GnomeWallClock |

#### Returns

the GTimeZone of the clock.

[transfer none]

## Types and Values

### struct GnomeWallClock

    struct GnomeWallClock;

### struct GnomeWallClockClass

    struct GnomeWallClockClass {
    	GObjectClass parent_class;
    };

## Property Details

### The `“clock”` property

      “clock”                    gchar *

A formatted string representing the current clock display.

Flags: Read

Default value: NULL

### The `“time-only”` property

      “time-only”                gboolean

If `TRUE`, the formatted clock will never include a date or the day of the week, irrespective of configuration.

Flags: Read / Write

Default value: FALSE

### The `“timezone”` property

      “timezone”                 GTimeZone *

The timezone used for this clock

Flags: Read